glibmm 2.36.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::ActionMap Class Reference

ActionMap - Interface for action containers. More...

`#include <giomm/actionmap.h>`

Inheritance diagram for Gio::ActionMap:
[legend]

## Public Member Functions
virtual | ~ActionMap ()
GActionMap* | gobj ()
| Provides access to the underlying C GObject. More...
const GActionMap* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< Action > | lookup_action (const Glib::ustring& action_name)
| Looks up the action with the name action_name in action_map. More...
Glib::RefPtr< const Action > | lookup_action (const Glib::ustring& action_name) const
| Looks up the action with the name action_name in action_map. More...
void | add_action (const Glib::RefPtr< Action >& action)
| Adds an action to the action_map. More...
void | remove_action (const Glib::ustring& action_name)
| Removes the named action from the action map. More...
virtual Glib::RefPtr< Action > | lookup_action_vfunc (const Glib::ustring& name) const
virtual void | add_action_vfunc (Glib::RefPtr< Action > action) const
virtual void | remove_action_vfunc (const Glib::ustring& name)
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes. More...
| Interface (GObject* castitem)
| Called by constructors of derived classes. More...
virtual | ~Interface ()
GObject* | gobj ()
const GObject* | gobj () const
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GObject. More...
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| ActionMap ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::ActionMap > | wrap (GActionMap* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

ActionMap - Interface for action containers.

The ActionMap interface is implemented by ActionGroup implementations that operate by containing a number of named Action instances, such as SimpleActionGroup.

One useful application of this interface is to map the names of actions from various action groups to unique, prefixed names (e.g. by prepending "app." or "win."). This is the motivation for the 'Map' part of the interface name.

Since glibmm 2.32:

## Constructor & Destructor Documentation

Gio::ActionMap::ActionMap | ( |  | ) |
| protected

You should derive from this class to use it.

virtual Gio::ActionMap::~ActionMap | ( |  | ) |
| virtual

## Member Function Documentation

void Gio::ActionMap::add_action | ( | const Glib::RefPtr< Action >& | action | ) |

Adds an action to the action_map.

If the action map already contains an action with the same name as action then the old action is dropped from the action map.

The action map takes its own reference on action.

Since glibmm 2.32:

Parameters

  action | A Action.

virtual void Gio::ActionMap::add_action_vfunc | ( | Glib::RefPtr< Action > | action | ) | const
| virtual

static void Gio::ActionMap::add_interface | ( | GType | gtype_implementer | ) |
| static

static GType Gio::ActionMap::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GActionMap* Gio::ActionMap::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GActionMap* Gio::ActionMap::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

Glib::RefPtr<Action> Gio::ActionMap::lookup_action | ( | const Glib::ustring& | action_name | ) |

Looks up the action with the name action_name in action_map.

If no such action exists, returns `0`.

Since glibmm 2.32:

Parameters

  action_name | The name of an action.

Returns
  A Action, or `0`.

Glib::RefPtr<const Action> Gio::ActionMap::lookup_action | ( | const Glib::ustring& | action_name | ) | const

Looks up the action with the name action_name in action_map.

If no such action exists, returns `0`.

Since glibmm 2.32:

Parameters

  action_name | The name of an action.

Returns
  A Action, or `0`.

virtual Glib::RefPtr<Action> Gio::ActionMap::lookup_action_vfunc | ( | const Glib::ustring& | name | ) | const
| virtual

void Gio::ActionMap::remove_action | ( | const Glib::ustring& | action_name | ) |

Removes the named action from the action map.

If no action of this name is in the map then nothing happens.

Since glibmm 2.32:

Parameters

  action_name | The name of the action.

virtual void Gio::ActionMap::remove_action_vfunc | ( | const Glib::ustring& | name | ) |
| virtual

## Friends And Related Function Documentation

Glib::RefPtr< Gio::ActionMap > wrap | ( | GActionMap * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.